# TextOutput Class Reference
[MetaConfiguration's base classes]

Inheritance diagram for TextOutput:
[legend]

List of all members.

## Public Member Functions

| write ($text)
| writeLine ($text)
| newLine ()
| setMode ($attribute=ConsoleMode::ATTR_RESET_ALL, $foreground=ConsoleMode::FG_WHITE, $background=ConsoleMode::BG_BLACK)
| resetAll ()

## Detailed Description

Definition at line 15 of file TextOutput.class.php.

## Member Function Documentation

TextOutput::newLine | ( |  | ) |

Returns:
  TextOutput

Definition at line 40 of file TextOutput.class.php.

TextOutput::resetAll | ( |  | ) |

Returns:
  TextOutput

Reimplemented in ColoredTextOutput.

Definition at line 64 of file TextOutput.class.php.

TextOutput::setMode | ( | $ | attribute = `ConsoleMode::ATTR_RESET_ALL`,
|  | $ | foreground = `ConsoleMode::FG_WHITE`,
|  | $ | background = `ConsoleMode::BG_BLACK` |
| ) |  |  |

Returns:
  TextOutput

Reimplemented in ColoredTextOutput.

Definition at line 50 of file TextOutput.class.php.

TextOutput::write | ( | $ | text | ) |

Returns:
  TextOutput

Definition at line 20 of file TextOutput.class.php.

TextOutput::writeLine | ( | $ | text | ) |

Returns:
  TextOutput

Definition at line 30 of file TextOutput.class.php.

The documentation for this class was generated from the following file:

- meta/classes/TextOutput.class.php